<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.publish.ivy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.publish.ivy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/publish/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/api/publish/ivy/plugins/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/publish/ivy/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<p><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
</p>
<h1 title="Package" class="title">Package&nbsp;org.gradle.api.publish.ivy</h1>
<div class="docSummary">
<div class="block">Types that deal with publishing in the Ivy format.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a></td>
<td class="colLast">
<div class="block">An artifact published as part of a <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><code>IvyPublication</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifactSet.html" title="interface in org.gradle.api.publish.ivy">IvyArtifactSet</a></td>
<td class="colLast">
<div class="block">A Collection of <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><code>IvyArtifact</code></a>s to be included in an <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><code>IvyPublication</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/IvyConfiguration.html" title="interface in org.gradle.api.publish.ivy">IvyConfiguration</a></td>
<td class="colLast">
<div class="block">A configuration included in an <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><code>IvyPublication</code></a>, which will be published in the ivy descriptor file generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/IvyConfigurationContainer.html" title="interface in org.gradle.api.publish.ivy">IvyConfigurationContainer</a></td>
<td class="colLast">
<div class="block">The set of <a href="../../../../../org/gradle/api/publish/ivy/IvyConfiguration.html" title="interface in org.gradle.api.publish.ivy"><code>IvyConfiguration</code></a>s that will be included in the <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><code>IvyPublication</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/IvyDependency.html" title="interface in org.gradle.api.publish.ivy">IvyDependency</a></td>
<td class="colLast">
<div class="block">A module dependency declared in an ivy dependency descriptor published as part of an <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><code>IvyPublication</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/IvyExtraInfoSpec.html" title="interface in org.gradle.api.publish.ivy">IvyExtraInfoSpec</a></td>
<td class="colLast">
<div class="block">Represents a modifiable form of IvyExtraInfo so that "extra" info elements
 can be configured on an Ivy publication.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/IvyModuleDescriptorSpec.html" title="interface in org.gradle.api.publish.ivy">IvyModuleDescriptorSpec</a></td>
<td class="colLast">
<div class="block">The descriptor of any Ivy publication.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy">IvyPublication</a></td>
<td class="colLast">
<div class="block">A <code>IvyPublication</code> is the representation/configuration of how Gradle should publish something in Ivy format, to an Ivy repository.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/publish/ivy/InvalidIvyPublicationException.html" title="class in org.gradle.api.publish.ivy">InvalidIvyPublicationException</a></td>
<td class="colLast">
<div class="block">Thrown when attempting to publish with an invalid <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><code>IvyPublication</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.api.publish.ivy Description">Package org.gradle.api.publish.ivy Description</h2>
<div class="block">Types that deal with publishing in the Ivy format.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.3</dd></dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/publish/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/api/publish/ivy/plugins/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/publish/ivy/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
